package com.moonapps.commandroid.adapters;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.List;

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.listeners.ProfileCheckBoxListener;
import com.moonapps.commandroid.listeners.ProfileDeleteListener;
import com.moonapps.commandroid.listeners.ProfileEditListener;
import com.moonapps.commandroid.profiles.Profile;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;

public class ProfileAdapter extends ArrayAdapter<Profile>{

	Context context;
	List<Profile> objects;
	
	public ProfileAdapter(Context context, int resource, List<Profile> objects) {
		super(context, resource, objects);
		this.context=context;
		this.objects=objects;
		}


	@Override
    public View getView(int position, View convertView, ViewGroup parent) {
		return this.getNewView (position, convertView, parent);                		
	
	}


	private View getNewView(int position, View convertView, ViewGroup parent) {

		Profile prof = this.getItem(position);
		
		LayoutInflater inflater = (LayoutInflater)this.context.getSystemService
	      							(Context.LAYOUT_INFLATER_SERVICE);
		View view = inflater.inflate(R.layout.listelementprofile,
									parent, false);

		CheckBox check = (CheckBox) view.findViewById(R.id.checkbox);
		check.setChecked(prof.isActive());
		check.setOnCheckedChangeListener(new ProfileCheckBoxListener(prof, this));
		
		
		TextView nameText = (TextView) view.findViewById(R.id.profilename);
		if (prof.getName()=="" || prof.getName()==null)
			nameText.setText(this.context.getText(R.string.no_title));
		else
			nameText.setText(prof.getName());
		
		ImageView edit = (ImageView) view.findViewById(R.id.editicon);
		ImageView delete = (ImageView) view.findViewById(R.id.deleteicon);
		edit.setOnClickListener(new ProfileEditListener(position,this, (Activity) this.context));
		
		
		delete.setOnClickListener(new ProfileDeleteListener(position, this));
		
		//view.set
		return view;
	}


	
}
