package com.moonapps.commandroid.agents;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.GregorianCalendar;

import com.moonapps.commandroid.LogManager;


import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.util.Log;

public class ConnectivityController extends Controller {

	


	public ConnectivityController(Context context){
		super();
		this.classname="ConnectController";
		this.initAgents();
		this.loadFile(context);
	}
	
	
	@Override
	protected void initAgents() {
		this.agents.put(Constants.REQUEST_CONN_TYPE, new ConnTypeAgent());		
		//this.agents.put(Constants.REQUEST_CONN_SUBTYPE, new ConnSubTypeAgent());		

	}

	@Override
	public int processBundle(Bundle bundle) {
		int dataAmount = 0;

		
		long tmpTime;
		int tmpType;
		//int tmpSubType;
		
		GregorianCalendar cal = (GregorianCalendar) GregorianCalendar.getInstance();
		tmpTime = cal.getTimeInMillis();
		
		NetworkInfo info = bundle.getParcelable(ConnectivityManager.EXTRA_NETWORK_INFO);
		
		tmpType = info.getType();
		//tmpSubType = info.getSubtype();

		String log = "";
		for (Agent e : this.agents.values())
			log = log+" "+ e.getData().size()+" ";
		LogManager.print(Log.INFO, Constants.debugTag, this.classname+" Num data"+log);
		
		boolean notConnected = (Boolean) bundle.getBoolean(ConnectivityManager.EXTRA_NO_CONNECTIVITY);
		if (notConnected==false){
			dataAmount = dataAmount +
			this.agents.get(Constants.REQUEST_CONN_TYPE).processNewData(tmpTime, tmpType);
			//this.agents.get(Constants.REQUEST_CONN_SUBTYPE).processNewData(tmpTime, tmpSubType);
		}else{
			dataAmount = dataAmount +
			this.agents.get(Constants.REQUEST_CONN_TYPE).processNewData(tmpTime, -1);
			//this.agents.get(Constants.REQUEST_CONN_SUBTYPE).processNewData(tmpTime, -1);
		}
		

		log = "";
		for (Agent e : this.agents.values())
			log = log+" "+ e.getData().size()+" ";
		LogManager.print(Log.INFO, Constants.debugTag, this.classname+" Num data"+log+" d:"+dataAmount);
		
		
		
		
		return dataAmount;
	}

}
