package com.moonapps.commandroid.agents;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.HashMap;

public class Metric {

	private int id;
	//private String menuID;
	private int stringID;
	private boolean isDiscrete;
	private HashMap<Integer, Integer> values;
	private double maxValue;
	private double stdValue;
	private double minValue;
	private boolean isTrigger;
	private int controllerID;
	
	public Metric(int id,int stringID, boolean isDiscrete, HashMap<Integer, Integer>  values, 
			double minValue, double stdValue, double maxValue, boolean isTrigger,
			int controllerID){
		this.setId(id);
		this.setStringID(stringID);
		this.setDiscrete(isDiscrete);
		this.setValues(values);
		this.setMinValue(minValue);
		this.setStdValue(stdValue);
		this.setMaxValue(maxValue);
		this.setTrigger(isTrigger);
		this.setControllerID(controllerID);
	}


	public Metric() {
	}


	public void setId(int id) {
		this.id = id;
	}


	public int getId() {
		return id;
	}


	public void setStringID(int stringID) {
		this.stringID = stringID;
	}


	public int getStringID() {
		return stringID;
	}


	public void setDiscrete(boolean isDiscrete) {
		this.isDiscrete = isDiscrete;
	}


	public boolean isDiscrete() {
		return isDiscrete;
	}


	public void setValues(HashMap<Integer, Integer> values) {
		this.values = values;
	}


	public HashMap<Integer, Integer> getValues() {
		return values;
	}


	public void setMaxValue(double maxValue) {
		this.maxValue = maxValue;
	}


	public double getMaxValue() {
		return maxValue;
	}


	public void setMinValue(double minValue) {
		this.minValue = minValue;
	}


	public double getMinValue() {
		return minValue;
	}


	public void setTrigger(boolean isTrigger) {
		this.isTrigger = isTrigger;
	}


	public boolean isTrigger() {
		return isTrigger;
	}


	public void setStdValue(double stdValue) {
		this.stdValue = stdValue;
	}


	public double getStdValue() {
		return stdValue;
	}


	public void setControllerID(int controllerID) {
		this.controllerID = controllerID;
	}


	public int getControllerID() {
		return controllerID;
	}
	
}
