package com.moonapps.commandroid.graph;

/**
 * Copyright (C) 2009 - 2012 SC 4ViewSoft SRL
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.Date;

import org.achartengine.model.XYSeries;

/**
 * A series for the date / time charts.
 */
public class TimeSeries2 extends XYSeries {

  /**
	 * 
	 */
	private static final long serialVersionUID = 7521097487077769413L;

/**
   * Builds a new date / time series.
   * 
   * @param title the series title
   */
  public TimeSeries2(String title) {
    super(title);
  }
  /**
   * Builds a new date / time series.
   *
   * @param title the series title
   */
  public TimeSeries2(String title, int scaleNumber) {
    super(title, scaleNumber);
  } 

  /**
   * Adds a new value to the series.
   * 
   * @param x the date / time value for the X axis
   * @param y the value for the Y axis
   */
  public synchronized void add(Date x, double y) {
    super.add(x.getTime(), y);
  }
}