package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.RelativeLayout;

import com.moonapps.commandroid.graph.DataGraph;
import com.moonapps.commandroid.graph.GraphManager;

public class GraphButtonListener implements OnClickListener{

	private Context context;
	private GraphManager graphManager;
	private DataGraph data1;
	private DataGraph data2;
	private RelativeLayout graphZone;

	public GraphButtonListener(Context context,
			GraphManager graphManager, RelativeLayout graphZone,
			DataGraph data1, DataGraph data2) {

		this.context = context;
		this.graphManager = graphManager;
		this.graphZone = graphZone;
		this.data1 = data1;
		this.data2 = data2;
	
	}

	@Override
	public void onClick(View v) {

        this.graphManager = new GraphManager(this.context, this.graphZone, 
        										this.data1, this.data2);
        this.graphManager.createGraph(this.context,"Bateria");	
		
	}
	

}
