package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.ArrayList;

import android.content.Context;
import android.graphics.Color;
import android.graphics.Typeface;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.ViewFlipper;

public class MainBarClickListener implements OnClickListener {

	ViewFlipper viewflipper;
	private Context ctx;
	private ArrayList<LinearLayout> areas;

	public MainBarClickListener(Context ctx, ViewFlipper viewflipper, ArrayList<LinearLayout> areas){
		this.ctx=ctx;
		this.viewflipper = viewflipper;
		this.areas =areas;
		this.prepareDisplayedChild(0);
		
		Typeface face=Typeface.createFromAsset(ctx.getAssets(), "fonts/Roboto-Regular.ttf");
		for (LinearLayout e : this.areas){
			((TextView) e.getChildAt(0)).setTypeface(face);
		}
		
	}
	
	
	
	public MainBarClickListener(Context ctx, ViewFlipper viewflipper, LinearLayout area1, 
			LinearLayout area2, LinearLayout area3, LinearLayout area4){
		this.ctx=ctx;
		this.viewflipper = viewflipper;
		this.areas = new  ArrayList<LinearLayout> ();
		this.areas.add(area1);
		this.areas.add(area2);
		this.areas.add(area3);
		this.areas.add(area4);
		this.prepareDisplayedChild(0);
		
		Typeface face=Typeface.createFromAsset(ctx.getAssets(), "fonts/Roboto-Regular.ttf");
		for (LinearLayout e : this.areas){
			((TextView) e.getChildAt(0)).setTypeface(face);
		}
		
	}
	
	
	@Override
	public void onClick(View view) {

		int position = this.areas.indexOf(view);
		if (position !=-1){
			prepareDisplayedChild(position);
		}
		
	}

	public void prepareDisplayedChild(int child){
		
		this.viewflipper.setDisplayedChild(child);
		
		LinearLayout selected = this.areas.get(child);
		for (LinearLayout e : this.areas){
			if (e==selected){
				e.getChildAt(1).setVisibility(View.VISIBLE);
				((TextView) e.getChildAt(0)).setTextColor(Color.WHITE);
			}
			else {
				e.getChildAt(1).setVisibility(View.INVISIBLE);
				((TextView) e.getChildAt(0)).setTextColor(Color.GRAY);
				
			}

		}

	}
	
	
}
