package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import com.moonapps.commandroid.EditProfileActivity;
import com.moonapps.commandroid.adapters.ProfileAdapter;
import com.moonapps.commandroid.agents.Constants;
import com.moonapps.commandroid.profiles.Profile;

import android.app.Activity;
import android.content.Intent;
import android.os.Parcelable;
import android.view.View;
import android.view.View.OnClickListener;

public class ProfileEditListener implements OnClickListener{
	
	ProfileAdapter adapter;
	int position;
	private Activity activity;
	
	public ProfileEditListener(int position, ProfileAdapter adapter, Activity responsible){
		this.adapter=adapter;
		this.position=position;
		this.activity = responsible;
	}

	@Override
	public void onClick(View v) {
		if (this.adapter!=null)
			if (this.adapter.getCount()>this.position){
				
				Profile prof = this.adapter.getItem(this.position);
				
				Intent myIntent = new Intent(this.activity, EditProfileActivity.class);
				myIntent.putExtra(Constants.EXTRAKEY_PROFILES, (Parcelable) prof);
				myIntent.putExtra(Constants.EXTRAKEY_POSITION, this.position);
				this.activity.startActivityForResult(myIntent, 0);
				
			}
	}

}
