package com.moonapps.commandroid.listeners;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.adapters.TriggerAdapter;
import com.moonapps.commandroid.profiles.Trigger;

import android.app.Dialog;
import android.view.View;
import android.view.View.OnClickListener;

public class SeekBarAcceptListener implements OnClickListener{

	private Trigger trigg;
	private SeekBarListener seekBarListener;
	private TriggerAdapter adapter;
	private Dialog dialog;

	public SeekBarAcceptListener(SeekBarListener seekBar, TriggerAdapter adapter, 
			Trigger trigg, Dialog dialog){
		this.trigg = trigg;
		this.seekBarListener=seekBar;
		this.adapter=adapter;
		this.dialog = dialog;
	}
	
	@Override
	public void onClick(View v) {
		double value = this.seekBarListener.getValue();
		this.trigg.setValue((int) value);
		this.adapter.notifyDataSetChanged();
		this.dialog.dismiss();
	}

}
