package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.profiles.Profile;

import android.app.TimePickerDialog;
import android.app.TimePickerDialog.OnTimeSetListener;
import android.content.Context;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TimePicker;

public class TimePickerListener  implements OnClickListener {

	private Context ctx;
	private Profile editedProfile;
	private Button viewPressed;
	private boolean end;	
	
	public TimePickerListener (Context ctx, Button pressed, Profile edited, boolean end){
		this.editedProfile=edited;
		this.viewPressed=pressed;
		this.end=end;
		this.ctx=ctx;
	}
	
	@Override
	public void onClick(View v) {
		
		OnTimeSetListener mTimeSetListener = new TimePickerDialog.OnTimeSetListener() {
			  public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
					long milliseconds = 1000*60*(minute+(hourOfDay*60));
					
					//TODO: NEW CODE. BUG NEITHAN. CHECK.
					GregorianCalendar cal =(GregorianCalendar) GregorianCalendar.getInstance(); 
					cal.setTime(new Date(System.currentTimeMillis()));
					cal.set(Calendar.HOUR_OF_DAY, hourOfDay);
					cal.set(Calendar.MINUTE, minute);
					
					
					if (end==false)
						editedProfile.setMilliDayStart(milliseconds);
					else
						editedProfile.setMilliDayEnd(milliseconds);
					
					
					String dateToSet = "";
					
					SimpleDateFormat sdf;  
			     	sdf= new SimpleDateFormat("HH:mm");
			     	//dateToSet= sdf.format(milliseconds);
					
			     	//TODO: NEW
					dateToSet = sdf.format(cal.getTime());
					
					
			     	viewPressed.setText(dateToSet);
			  }
		    };
		
		   long mill=0;
		   if (this.end==false)
			   mill=this.editedProfile.getMilliDayStart();
		   else 
			   mill=this.editedProfile.getMilliDayEnd();

		   GregorianCalendar cal = (GregorianCalendar) GregorianCalendar.getInstance();
		   cal.setTime(new Date(mill));
		   int mHour =  cal.get(Calendar.HOUR_OF_DAY); 
		   int mMinute =  cal.get(Calendar.MINUTE); 
		   
		   
		   TimePickerDialog timePick = new TimePickerDialog(this.ctx,
	                mTimeSetListener,
	                mHour, mMinute, true);
		   timePick.setTitle(this.ctx.getText(R.string.dialog_selecthour));
		   timePick.show();		
	}

	
	
	
}
