package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.Context;
import android.media.AudioManager;
import android.util.Log;

public class ActionSilentMode extends Action{

	private static final long serialVersionUID = 7392942703527866051L;



	public ActionSilentMode(int value) {
		super(Constants.ACTION_VIBRATE_MODE, value//, false, true, true
				);
	}
	
	
	
	@Override 
	public void execute(Context context){

		boolean enable = false;
		if (this.getValue()>0.5) {
			this.setValue(1);
			enable=true;
		}if (this.getValue()<=0.5){ 
			this.setValue(0);
			enable=false;
		}
		
		AudioManager audioManager = (AudioManager)context.getSystemService(Context.AUDIO_SERVICE);
	
		if (enable)
			audioManager.setRingerMode(AudioManager.RINGER_MODE_VIBRATE);
		else
			audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL);
		LogManager.print(Log.DEBUG, Constants.debugTag, "ActionSilentMode: "+enable);
	}
	
}
