package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.io.Serializable;

import android.os.Parcel;
import android.os.Parcelable;

public class Trigger implements Parcelable, Serializable{


	private static final long serialVersionUID = -5468353596884479301L;
	private int triggerID;
	private int operator;
	private int value;
	
	public Trigger (int triggerID, int operator, int value){
		this.triggerID=triggerID;
		this.operator=operator;
		this.value=value;
	}
	
	

	@Override
	public boolean equals(Object obj) {
	      
		 if(this == obj) return true;

	      if( !(obj instanceof Action) ) return false;

	       Trigger p = (Trigger)obj;

	       boolean equals = (this.getTriggerID() == p.getTriggerID());
	       equals = equals && (this.getValue() == p.getValue());
	       equals = equals && (this.getOperator() == p.getOperator());

	       
	       return equals;
	   }
	
	public void setTriggerID(int triggerID) {
		this.triggerID = triggerID;
	}
	public int getTriggerID() {
		return triggerID;
	}
	public void setOperator(int operator) {
		this.operator = operator;
	}
	public int getOperator() {
		return operator;
	}
	public void setValue(int value) {
		this.value = value;
	}
	public int getValue() {
		return value;
	}
	
	
	
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.triggerID);
        out.writeInt(this.operator);
        out.writeInt(this.value);

	}
	
	public static final Parcelable.Creator<Trigger> CREATOR = new Parcelable.Creator<Trigger>() {
		public Trigger createFromParcel(Parcel in) {
			return new Trigger(in);
		}

		public Trigger[] newArray(int size) {
			return new Trigger[size];
		}
	};

	private Trigger(Parcel in) {
		this (in.readInt(), in.readInt(), in.readInt());
	}
	
}
