package com.moonapps.commandroid.receivers;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.util.ArrayList;

import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.adapters.WifiSupportAdapter;
import com.moonapps.commandroid.agents.Constants;
import com.moonapps.commandroid.networks.WifiSupportUnit;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class ActivityNetworksReceiver extends BroadcastReceiver {

	
	private ArrayList<WifiSupportUnit> wifisupports;
	private WifiSupportAdapter supportAdapter;
	
	public ActivityNetworksReceiver(ArrayList<WifiSupportUnit> profiles, WifiSupportAdapter wifAdapter) {
		this.wifisupports = profiles;
		this.supportAdapter = wifAdapter;
	}
	

	@Override
	public void onReceive(Context context, Intent intent) {

		
		if (intent.getAction().equals(Constants.ACTION_NETWORKSRESPONSE)){
			this.processIntent(context, intent);
		}
		
	}

	private void processIntent(Context context, Intent intent) {
 
		LogManager.print(Log.DEBUG,Constants.debugTag,"  ActivityProfileReceiver: Intent: "+ intent.getAction());
		
		ArrayList<WifiSupportUnit> wifiConfig = intent.getParcelableArrayListExtra(Constants.EXTRAKEY_DATA);
		if (wifiConfig!=null){
			this.wifisupports.clear();
			this.wifisupports.addAll(wifiConfig);
			LogManager.print(Log.DEBUG, Constants.debugTag,"  ActivityProfileReceiver: Netw list not null. Size:"+wifiConfig.size()+" Intent: "+ intent.getAction());
		}else{
			LogManager.print(Log.ERROR,Constants.debugTag,"  ActivityProfileReceiver: Netw list is NULL. Intent: "+ intent.getAction());
			this.wifisupports.clear();
		}
		
		this.supportAdapter.notifyDataSetChanged(); 
	
		
	}
}
