package com.moonapps.commandroid.receivers;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.DataService;
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.BatteryManager;
import android.os.Bundle;
import android.util.Log;

public class BatteryReceiver extends BroadcastReceiver{

	@Override
	public void onReceive(Context context, Intent intent) {
	  	
        Bundle bundleReceived = intent.getExtras();

        LogManager.print(Log.INFO, Constants.debugTag, "  BatteryReceiver: Intent="+intent.getAction()+" "
				+intent.getIntExtra(BatteryManager.EXTRA_LEVEL, Constants.NO_EXTRA_ERROR));
		

	  	//Send Bundle data.
	  	Intent startServiceIntent = new Intent(context, DataService.class);
	  	startServiceIntent.putExtra(Constants.BUNDLEKEY, bundleReceived);
        startServiceIntent.putExtra(Constants.EXTRAKEY_DESTINATION_ID, Constants.DEST_BATTERYCONTROLLER);
        context.startService(startServiceIntent);
	}

}
