package com.moonapps.commandroid.receivers;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.WifiActionManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

public class WifiTimeReceiver extends BroadcastReceiver{

	
	
	private WifiActionManager wif;


	public WifiTimeReceiver(WifiActionManager wif){
		
		this.wif=wif;
	}
	
	
	@Override
	public void onReceive(Context ctx, Intent intent) {
			LogManager.print(Log.ERROR, Constants.debugTag, "WifiTimeReceiver: Received:"+intent.getAction());
			Bundle bund = intent.getBundleExtra("bundleWifi");
			
			
			
			if (bund!=null){
				int wifiState = bund.getInt("commandroid.wifiState", Constants.NO_EXTRA_ERROR);

				if (wifiState==3){
					this.wif.fiveMinutesOn();
				}else if (wifiState==2){
					this.wif.offlineTime();
				}else
					LogManager.print(Log.ERROR, Constants.debugTag, "WifiTimeReceiver: Error with intent. ");

			}else{
				LogManager.print(Log.ERROR, Constants.debugTag, "WifiTimeReceiver: Error with bundle. ");

			}
			
		}
		
		
		
		
	}


